%global upname RSyntaxTextArea

Name:           rsyntaxtextarea
Version:        2.5.8
Release:        2%{?dist}
Summary:        A syntax highlighting, code folding text editor for Java Swing applications

License:        BSD
URL:            https://github.com/bobbylight/%{upname}
Source0:        https://github.com/bobbylight/%{upname}/archive/2.5.8.tar.gz#/%{name}-%{version}.tar.gz

# This patch removes upstream's dependency on gradle coveralls plugin.
Patch0:         %{name}-no-coveralls.patch
# This patch enables proper Arduino Support
Patch1:         %{name}-arduino.patch

BuildArch:      noarch

BuildRequires:  gradle-local
Requires:       java

%description
%{upname} is a customizable, syntax highlighting text component for Java
Swing applications. Out of the box, it supports syntax highlighting for 40+
programming languages, code folding, search and replace, and has add-on
libraries for code completion and spell checking. Syntax highlighting for
additional languages can be added via tools such as JFlex.

%package javadoc
Summary:        Javadoc for %{upname}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{upname}-%{version}
%patch0 -p2
%patch1 -p2
find . -name "*.jar" -delete
for file in src/main/dist/%{upname}.License.txt src/main/dist/readme.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done


%build
# We skip unit tests because they require an X11 server.
%gradle_build -f


%install
%mvn_install -J build/docs/javadoc/


%files -f .mfiles
%license src/main/dist/%{upname}.License.txt
%doc src/main/dist/readme.txt


%files javadoc -f .mfiles-javadoc
%license src/main/dist/%{upname}.License.txt


%changelog
* Sat Aug 20 2016 Dennis Chen <barracks510@gmail.com> - 2.5.8-2
- Fix License file installed when any subpackage combination is installed.

* Mon Jul 11 2016 Dennis Chen <barracks510@gmail.com> - 2.5.8-1
- First Fedora Packaging.
